"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStateToProps = mapStateToProps;
exports.default = exports.mapDispatchToProps = void 0;

var _reactRedux = require("../../../../common/react-redux");

var _presenter = _interopRequireDefault(require("./presenter"));

var _quizCommon = require("@instructure/quiz-common");

var _modal = require("../../../../common/actions/modal");

var _alerts = require("../../../../common/actions/alerts");

var _quizSessions = require("../../../api/quizSessions");

function mapStateToProps(state, ownProps) {
  return {
    open: state.getIn(['modal', 'isOpen']) === _quizCommon.OUTSTANDING_QUIZZES_MODAL
  };
}

var mapDispatchToProps = {
  submitOutstandingQuizSession: _quizSessions.submitOutstandingQuizSession,
  closeModal: _modal.closeModal,
  addSuccess: _alerts.addSuccess
};
exports.mapDispatchToProps = mapDispatchToProps;

var _default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_presenter.default);

exports.default = _default;