"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addFeatures = addFeatures;
exports.removeFeatures = removeFeatures;

var _quizCommon = require("@instructure/quiz-common");

function addFeatures(featuresList) {
  return {
    type: _quizCommon.ADD_FEATURES,
    payload: featuresList
  };
}

function removeFeatures(featuresToRemove) {
  return {
    type: _quizCommon.REMOVE_FEATURES,
    payload: featuresToRemove
  };
}