"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _reactImmutableProptypes = _interopRequireDefault(require("react-immutable-proptypes"));

var _platform = _interopRequireDefault(require("platform"));

var _uiToggleDetails = require("@instructure/ui-toggle-details");

var _uiElements = require("@instructure/ui-elements");

var _uiA11y = require("@instructure/ui-a11y");

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var SessionStartEvent =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(SessionStartEvent, _Component);

  function SessionStartEvent() {
    (0, _classCallCheck2.default)(this, SessionStartEvent);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(SessionStartEvent).apply(this, arguments));
  }

  (0, _createClass2.default)(SessionStartEvent, [{
    key: "render",
    value: function render() {
      var event = this.props.event;

      var userPlatform = _platform.default.parse(event.getIn(['eventData', 'userAgent']));

      return _react.default.createElement(_uiToggleDetails.ToggleDetails, {
        summary: (0, _formatMessage.default)('System details captured')
      }, _react.default.createElement(_uiElements.Table, {
        caption: _react.default.createElement(_uiA11y.ScreenReaderContent, null, (0, _formatMessage.default)('System details'))
      }, _react.default.createElement("thead", null, _react.default.createElement("tr", null, _react.default.createElement("th", null, (0, _formatMessage.default)('attribute')), _react.default.createElement("th", null, (0, _formatMessage.default)('value')))), _react.default.createElement("tbody", null, _react.default.createElement("tr", null, _react.default.createElement("td", null, (0, _formatMessage.default)('Browser')), _react.default.createElement("td", null, // eslint-disable-next-line react/jsx-no-literals
      "".concat(userPlatform.name, " ").concat(userPlatform.version))), _react.default.createElement("tr", null, _react.default.createElement("td", null, (0, _formatMessage.default)('Operating System')), _react.default.createElement("td", null, userPlatform.os.toString())))));
    }
  }]);
  SessionStartEvent.displayName = "SessionStartEvent";
  return SessionStartEvent;
}(_react.Component);

exports.default = SessionStartEvent;
SessionStartEvent.propTypes = {
  event: _reactImmutableProptypes.default.record.isRequired
};